View Issue Details

IDProjectCategoryView StatusLast Update
0006277Multi Theft Auto : San AndreasClientpublic2011-09-21 11:40
ReporterBpb_XommkoAssigned ToTalidan 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2Fixed in Version1.2 
Summary0006277: CEGUI Chat unicode bug
Description

This bug appears with <chat_use_cegui>1</chat_use_cegui> in config. When you type Unicode characters, they are displayed in non-unicode charset. Screenshot attached.

TagsNo tags attached.

Relationships

child of 0006375 closed New issues Unicode issues 

Activities

MX_Master

2011-07-25 13:09

viewer   ~~0014021

only when typing or with outputChatBox too?

Bpb_Xommko

2011-07-26 10:18

viewer   ~~0014023

With outputChatBox.

MX_Master

2011-07-26 10:36

viewer   ~~0014024

and when you typing message it shows normally?

outputChatBox: server-side? client-side or both?

are your scripts encoded into UTF8 with BOM? or ANSI?

Bpb_Xommko

2011-07-27 15:14

viewer   ~~0014034

Last edited: 2011-07-27 15:15

This appears both with client-side and server-side outputChatBox. I think this is related to CEGUI chat drawing, as this does no appear with normal chat.

Scripts are encoded UTF-8 BOM of course

x86

2011-08-17 12:48

administrator   ~~0014321

Retest with newest 1.1 nightly, please.

Talidan

2011-08-17 18:43

administrator   ~~0014331

Probably is not fixed, though it's a simple fix i overlooked. Honestly, i'm not sure why anyone would be using CEGUI chat anymore.

Picard

2011-09-19 23:27

updater   ~~0014833

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3203 )

Issue History

Date Modified Username Field Change